Page MenuHomePhabricator

Catchable fatal error: Argument 3 passed to AbuseFilterHooks::onUploadStashFile() must be of the type array, null given in /var/www/html/w/extensions/AbuseFilter/AbuseFilter.hooks.php on line 730
Closed, ResolvedPublic

Description

When attempting to chunked-upload a file using the API, I get the following error:

Catchable fatal error:  Argument 3 passed to AbuseFilterHooks::onUploadStashFile() must be of the type array, null given in /var/www/html/w/extensions/AbuseFilter/AbuseFilter.hooks.php on line 730

The easiest way to reproduce is to try uploading a file bigger than 5 MB using the UploadWizard.

Event Timeline

matmarex created this task.Aug 16 2016, 9:51 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 16 2016, 9:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
matmarex claimed this task.Aug 16 2016, 9:53 PM
matmarex triaged this task as Unbreak Now! priority.
Restricted Application added subscribers: Luke081515, TerraCodes, Matanya. · View Herald TranscriptAug 16 2016, 9:53 PM
greg added a subscriber: greg.Aug 16 2016, 10:39 PM

Change 305155 had a related patch set uploaded (by Bartosz Dziewoński):
Do not call the 'UploadStashFile' hook for partially uploaded files

https://gerrit.wikimedia.org/r/305155

Change 305155 merged by jenkins-bot:
Do not call the 'UploadStashFile' hook for partially uploaded files

https://gerrit.wikimedia.org/r/305155

Change 305162 had a related patch set uploaded (by Jforrester):
Do not call the 'UploadStashFile' hook for partially uploaded files

https://gerrit.wikimedia.org/r/305162

Change 305162 merged by jenkins-bot:
Do not call the 'UploadStashFile' hook for partially uploaded files

https://gerrit.wikimedia.org/r/305162

Mentioned in SAL [2016-08-17T15:27:29Z] <thcipriani@tin> Synchronized php-1.28.0-wmf.15/includes/upload/UploadBase.php: SWAT: [[gerrit:305162|Do not call the "UploadStashFile" hook for partially uploaded files (T143161)]] PART I (duration: 00m 53s)

Mentioned in SAL [2016-08-17T15:29:08Z] <thcipriani@tin> Synchronized php-1.28.0-wmf.15/includes/api/ApiUpload.php: SWAT: [[gerrit:305162|Do not call the "UploadStashFile" hook for partially uploaded files (T143161)]] PART II (duration: 00m 50s)

greg added a comment.Aug 17 2016, 4:57 PM

So, are we good now after the morning SWAT?

Jdforrester-WMF closed this task as Resolved.Aug 17 2016, 5:19 PM

Sorry, yes.

greg added a comment.Aug 17 2016, 5:22 PM

No apologies needed, thanks, all :)